## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iGenMeshAnimationControlType Struct Reference
[Mesh plugins, Mesh plugins]

This class is the animation control type. More...

`#include <imesh/genmesh.h>`

Inheritance diagram for iGenMeshAnimationControlType:

[legend]
List of all members.

## Public Member Functions

virtual csPtr< iGenMeshAnimationControlFactory > | CreateAnimationControlFactory ()=0
| Create a new animation control factory.

## Detailed Description

This class is the animation control type.

Main creators of instances implementing this interface:

- Genmesh animation control plugin (crystalspace.mesh.anim.genmesh)

Main ways to get pointers to this interface:

- csQueryPluginClass()
- csLoadPlugin()

Main users of this interface:

- Genmesh plugin (crystalspace.mesh.object.genmesh)

Definition at line 486 of file genmesh.h.

## Member Function Documentation

virtual csPtr<iGenMeshAnimationControlFactory> iGenMeshAnimationControlType::CreateAnimationControlFactory | ( |  | ) | `[pure virtual]`

| Create a new animation control factory.

The documentation for this struct was generated from the following file:

- imesh/genmesh.h